%bcond_without vmguestlib
%if %{with vmguestlib}
%ifarch x86_64
%global use_vmguestlib 1
%endif
%endif

Summary: Utility to detect and log scheduler pause
Name: spausedd
Version: 20210719
Release: 4%{?dist}
License: ISC
URL: https://github.com/jfriesse/spausedd
Source0: https://github.com/jfriesse/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz


BuildRequires: make gcc
%{?systemd_requires}
BuildRequires: systemd
%if %{defined use_vmguestlib}
BuildRequires: pkgconfig(vmguestlib)
%endif

%description
The spausedd utility is used for detecting and logging scheduler pause.

%prep
%autosetup

%build
%make_build \
%if %{defined use_vmguestlib}
    WITH_VMGUESTLIB=1 \
%else
    WITH_VMGUESTLIB=0 \
%endif

%install
%make_install PREFIX="%{_prefix}"

mkdir -p %{buildroot}/%{_unitdir}
install -m 644 -p init/%{name}.service %{buildroot}/%{_unitdir}

%post
%systemd_post spausedd.service

%preun
%systemd_preun spausedd.service

%postun
%systemd_postun spausedd.service

%files
%license COPYING
%doc AUTHORS
%{_bindir}/%{name}
%{_unitdir}/spausedd.service
%{_mandir}/man8/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20210719-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20210719-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20210719-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 4 2023 Wang Guodong <gordonwwang@tencent.com> - 20210719-1
- initial build
